Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.util
Class Tree.Node

    java.lang.Object
      de.grogra.util.Tree.Node

Direct Known Subclasses:
  MappedTree.Node, PropertyEditorTree.Node, UITreePipeline.Node

Enclosing class:
  Tree

    public static class Tree.Node

extends java.lang.Object

Field Summary
`Tree.Node` | `children`
`Tree.Node` | `next`
`Tree.Node` | `parent`

Constructor Summary
`Tree.Node()`

Method Summary
`void` | `addChild(Tree.Node child)`
`Tree.Node` | `getChild(int index)`
`int` | `getChildCount()`
`Tree.Node[]` | `getChildren()`
`Tree.Node` | `getLastSibling()`
`Tree.Node[]` | `getPath()`
`javax.swing.tree.TreePath` | `getTreePath()`
`Tree.Node` | `insertChainBefore(Tree.Node chain)`
`void` | `insertChild(Tree.Node child, int index)`
`void` | `remove()`
`void` | `removeChild(Tree.Node child)`
`void` | `removeLastChild()`
`void` | `replace(Tree.Node newNode, boolean newKeepsChildren)`
`Tree.Node` | `setChildren(Tree.Node children)`
`Tree.Node` | `setNext(Tree.Node next)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### children

    public Tree.Node children

### next

    public Tree.Node next

### parent

    public Tree.Node parent

Constructor Detail

### Tree.Node

    public Tree.Node()

Method Detail

### addChild

    public void addChild(Tree.Node child)

### getChild

    public Tree.Node getChild(int index)

### getChildCount

    public int getChildCount()

### getChildren

    public Tree.Node[] getChildren()

### getLastSibling

    public Tree.Node getLastSibling()

### getPath

    public Tree.Node[] getPath()

### getTreePath

    public javax.swing.tree.TreePath getTreePath()

### insertChainBefore

    public Tree.Node insertChainBefore(Tree.Node chain)

### insertChild

    public void insertChild(Tree.Node child,
                            int index)

### remove

    public void remove()

### removeChild

    public void removeChild(Tree.Node child)

### removeLastChild

    public void removeLastChild()

### replace

    public void replace(Tree.Node newNode,
                        boolean newKeepsChildren)

### setChildren

    public Tree.Node setChildren(Tree.Node children)

### setNext

    public Tree.Node setNext(Tree.Node next)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD